Function
pop
Pops the first element of the remaining stream.
pop(object[, ref])
Include Headers
seqan/pipe.h
Parameters

object | A pop-passive pipeline module. Types: Pipe, Pool
ref | Reference to the result. Result type is Value<TObject>::Type for object type TObject. Remarks: Returns the first element of the remaining input stream.

Remarks
In contrast to front this function also steps one element further.
front or pop can only be called within a read process surrounded by beginRead and endRead.
See Also
front
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48